This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 802069 - Corrupted rendering of GNOME Shell on NV44: looks like VRAM exhaustion, doesn't seem to be
Corrupted rendering of GNOME Shell on NV44: looks like VRAM exhaustion, doesn...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
RejectedBlocker
: Reopened
: 767337 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-10 13:14 EST by Paul W. Frields
Modified: 2015-02-18 08:42 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:42:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
GNOME Shell recording illustrating problems (214.51 KB, video/webm)
2012-03-10 13:14 EST, Paul W. Frields
no flags Details
Smolt profile (2.51 KB, text/plain)
2012-03-10 13:21 EST, Paul W. Frields
no flags Details
Xorg.0.log (63.60 KB, text/plain)
2012-03-10 13:22 EST, Paul W. Frields
no flags Details
screenshot from NV43 (598.74 KB, image/png)
2012-03-15 08:21 EDT, Kamil Páral
no flags Details
highlighting problem on NV46 with Fedora 19 Beta (151.90 KB, image/jpeg)
2013-06-23 17:14 EDT, Stan King
no flags Details

  None (edit)
Description Paul W. Frields 2012-03-10 13:14:12 EST
Created attachment 569105 [details]
GNOME Shell recording illustrating problems

I'm attaching a short video that shows the problems:

* Text is not rendered properly in the menu bar or menu items
* The menu bar doesn't appear on the screen properly
* Sluggish

I'll provide more hardware details shortly. I'm filing this from a different console elsewhere.
Comment 1 Paul W. Frields 2012-03-10 13:21:48 EST
Created attachment 569109 [details]
Smolt profile
Comment 2 Paul W. Frields 2012-03-10 13:22:21 EST
Created attachment 569110 [details]
Xorg.0.log
Comment 3 Paul W. Frields 2012-03-10 13:24:20 EST
01:00.0 VGA compatible controller [0300]: nVidia Corporation NV44 [Quadro NVS 285] [10de:0165] (rev a1)

BTW -- this is under Fedora 17 Alpha. Unfortunately this system has no USB boot capability so I haven't been able to use the very latest packages on it.
Comment 4 Kamil Páral 2012-03-15 08:21:29 EDT
Created attachment 570274 [details]
screenshot from NV43

I can confirm this problem with
01:00.0 VGA compatible controller [0300]: nVidia Corporation NV43 [GeForce Go 6600] [10de:0148] (rev a2)

Only those fancy gnome-shell bubbles have distorted text, standard gtk applications render text just fine.

Also I have problems with those slide-out dialogs, like Open File dialog in Firefox. That can distort the whole screen or freeze the whole gnome-shell (X restart required).

I have to say this problem was also present in F16.

Attaching screenshot from NV43.
Comment 5 Kamil Páral 2012-03-15 08:22:17 EDT
My Smolt profile:
http://www.smolts.org/client/show/pub_16f9c1c8-57a3-4340-ab63-bbcd234b4983
Comment 6 Kamil Páral 2012-03-15 08:28:47 EDT
Proposing as F17 Beta or Final blocker. We know know about two card families that don't work with Gnome Shell (not all cards from these families may not work, however). Ideally we should fix it or at least blacklist them so that fallback mode is automatically used. Proposing for blocker discussion.
Comment 7 Kamil Páral 2012-03-15 08:42:32 EDT
This might be a duplicate of bug 745202.
Comment 8 antonio montagnani 2012-03-15 08:50:10 EDT
confirm that it is a dup of bug 745202

Exactly what I am seeing on my F16 system, although using a NV34 card (Geforce 5200)

Waiting for re-writing of nvfx driver, I was told
Comment 9 Adam Williamson 2012-03-15 13:37:38 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

*** This bug has been marked as a duplicate of bug 745202 ***
Comment 10 Adam Williamson 2012-03-20 22:00:13 EDT
Re-opening this, as Ben and I think the NV4x cases are different from the NV3x cases. We have received several reports of NV4x adapters which do not suffer corruption.

Ben's current working theory is that the affected systems are actually suffering from https://bugzilla.redhat.com/show_bug.cgi?id=770197 - the bug for corruption due to insufficient VRAM. Paul, Kamil - if you have the information available, can you advise us:

* are you using a dual-head layout?
* what resolution are your display(s) at?
* how much VRAM does your adapter have?
* do you see any "fail ttm_validate -12" messages in /var/log/messages ?

Thanks!



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Adam Williamson 2012-03-20 22:01:21 EDT
*** Bug 767337 has been marked as a duplicate of this bug. ***
Comment 12 Kamil Páral 2012-03-21 10:00:44 EDT
(In reply to comment #10)
> * are you using a dual-head layout?

no, single head

> * what resolution are your display(s) at?

1400x1050

> * how much VRAM does your adapter have?

lspci says:
    Region 0: Memory at c0000000 (32-bit, non-prefetchable) [size=64M]
    Region 1: Memory at 90000000 (64-bit, prefetchable) [size=256M]
    Region 3: Memory at c4000000 (64-bit, non-prefetchable) [size=16M]

vendor spec says 64MB.

> * do you see any "fail ttm_validate -12" messages in /var/log/messages ?

Yes.

Mar 21 12:24:23 dhcp-29-197 kernel: [   46.919432] [drm] nouveau 0000:01:00.0: fail ttm_validate
Mar 21 12:24:23 dhcp-29-197 kernel: [   46.919444] [drm] nouveau 0000:01:00.0: validate vram_list
Mar 21 12:24:23 dhcp-29-197 kernel: [   46.919453] [drm] nouveau 0000:01:00.0: validate: -12
Comment 13 Paul W. Frields 2012-03-21 11:10:08 EDT
(In reply to comment #10)
> Re-opening this, as Ben and I think the NV4x cases are different from the NV3x
> cases. We have received several reports of NV4x adapters which do not suffer
> corruption.
> 
> Ben's current working theory is that the affected systems are actually
> suffering from https://bugzilla.redhat.com/show_bug.cgi?id=770197 - the bug for
> corruption due to insufficient VRAM. Paul, Kamil - if you have the information
> available, can you advise us:
> 
> * are you using a dual-head layout?

No, single head here as well.

> * what resolution are your display(s) at?

1680x1050

> * how much VRAM does your adapter have?

Jeez, it's been so long since I put that card in there, I don't even recall.

lspci:
        Memory at fc000000 (32-bit, non-prefetchable) [size=16M]
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        Memory at fd000000 (64-bit, non-prefetchable) [size=16M]

Dell service tag information reports 256MB shipped on the card.

> * do you see any "fail ttm_validate -12" messages in /var/log/messages ?

No.
Comment 14 Adam Williamson 2012-03-21 13:23:04 EDT
Paul: that's the wrong answer, please try again. ;)

Okay, so Kamil's case definitely sounds like VRAM exhaustion: that's https://bugzilla.redhat.com/show_bug.cgi?id=770197 . Paul's...doesn't. 256MB is quite a chunk, and you don't have the tell-tale /var/log/messages. But I don't know what the heck else it could be. Ben, over to you!



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 15 Adam Williamson 2012-03-21 15:42:29 EDT
One of the reporters who affirms not seeing corruption on two NV4x cards - NV4A and NV46 - has 256MB of VRAM also. Which further suggests it's not VRAM exhaustion for Paul. No idea what it is, though.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 16 Adam Williamson 2012-03-21 18:37:12 EDT
So, a thought suddenly occurs: dbelton mentioned he'd seen exactly this kind of corruption caused by overheating in the past. I initially dismissed that as a source of all these reports, but now we've triaged things more precisely and isolated Paul's case out from the NV34 cases and the VRAM exhaustion case, it seems a lot more plausible.

Paul, since this case seems specific to you and different from all the other cases we have...maybe it *is* just a hardware issue. Can you test for overheating? Blow the dust bunnies out of the fans, run the system in a cold place, point a desk fan at it while it's running, stuff like that.

Thanks!



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 17 Kevin Fenzi 2012-03-21 18:52:18 EDT
We should do something for final, but I don't think this is a Beta blocker.
Comment 18 Adam Williamson 2012-03-21 19:05:52 EDT
I'm -1 blocker on this as well - recapping that, as it stands, this bug is specific to Paul's problem, which we believe is *not* the same as 745202 or 770197, and is probably something unique to Paul's system. We have solid data from http://forums.fedoraforum.org/showthread.php?t=277844 that many NV4x cards with sufficient VRAM are working fine.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 19 Robyn Bergeron 2012-03-21 19:25:27 EDT
-1 blocker, assuming we continue to be confident that this is unique to Paul's system and not the other 2 bugs.  Would like to see this addressed for final, though.
Comment 20 Adam Williamson 2012-03-21 19:35:11 EDT
that's three -1s, rejected as beta blocker.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 21 Bruno Wolff III 2012-03-21 22:40:02 EDT
-1 blocker, only a small set of hardware affected. +0 NTH I'd want to hear more about the cause and proposed solution.
Comment 22 Stan King 2012-07-08 17:16:34 EDT
Hello, folks.  I was also seeing a corruption of the Fedora 17 login screen with an NV4x device.  Specifically, various letters were missing from the "cancel" and "login" buttons.  Xfce seemed to work fine, although some window resizing operations seemed slower than ought to be.

After reading this report, I changed the VRAM allocation from 32MB to 256MB, and the problems went away.

This video controller is integrated onto an Nvidia MCP61 motherboard, and lspci identifies it as "GeForce 6150SE nForce 430".

By the way, Centos 6.2 handles the 32MB VRAM allocation with no difficulty at all.

Let me know if you'd like more information from this system, or if you'd like me to run any tests and report the results.
Comment 23 Martin 2013-06-18 11:18:28 EDT
Stan, Paul and Kamil, are you able to reproduce it on latest Fedora 19? Are rendering corruptions looking similar to screenshots in https://bugzilla.redhat.com/show_bug.cgi?id=745202#c130 ?
Comment 24 Kamil Páral 2013-06-18 11:40:33 EDT
(In reply to Martin Holec from comment #23)
I don't have the machine anymore.
Comment 25 Paul W. Frields 2013-06-18 17:14:23 EDT
Unfortunately I'm in the same boat as Kamil.
Comment 26 Adam Williamson 2013-06-18 17:22:27 EDT
Stan, you're our only hope!
Comment 27 Stan King 2013-06-23 17:14:55 EDT
Created attachment 764372 [details]
highlighting problem on NV46 with Fedora 19 Beta

It did not show the text corruption seen earlier, but this is a slightly different graphics controller, NV46 not NV44.
Comment 28 Stan King 2013-06-23 17:25:40 EDT
(Well, my nicely-written description vanished when I tried to attach a photo - I guess I'll do it separately next time.)

Here are my testing results so far, albeit with a NV46 showing the bad behavior instead of the NV44.  I'll have to disassemble the machine later to get enable that onboard controller, as the BIOS setting had no effect.

Software: Fedora 19 Live Desktop Beta

Hardware:

Intel 965GM, ATI Radeon RS880/HD 4200, Nvidia G210 (NVa8): no problem, even when removing the "quiet" and "rhgb" boot flags.

Nvidia 7300 (NV44): If the "quiet" and "rhgb" boot flags are removed, the boot completes, but is unresponsive when it arrives at the big pop-up with two choices.  Eventually it becomes impossible to move the mouse.

When the "quiet" and "rhgb" boot flags are left on, the default scenario, the system boots and is responsive.  There is no text corruption, but there is a problem when moving the cursor around over the icons.  It seems as if the temporary highlighting is messed up, and a "rainbowish" hue shows through from beneath.  When starting multiple applications, such as Firefox and "files", I was able to get even more exotic corruption, such as wide areas of the screen being a solid blue color, but it appeared to recover from this.  The card is reported in the dmesg output as having 128MB of RAM, and 124MB of VRAM.

Later, I'll see what happens with the NV44, unless I hear that you want more information on this hardware environment.
Comment 29 Stan King 2013-06-23 23:29:58 EDT
I've re-tested with the integrated Nvidia 6150 that I had used earlier.  It reports as NV4c.  With shared RAM set to 256MB, the situation is similar to the Nvidia 7300 card, although it tolerates the removal of the "quiet" and "rhgb" boot flags.  On the other hand, with shared RAM set to 32MB, the corruption is rampant, first with windows, with text corruption added later.  I was unable to get a "Terminal" working well enough to examine a log file.
Comment 30 Fedora End Of Life 2013-07-04 01:42:41 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 31 Adam Williamson 2013-07-04 02:43:55 EDT
For now, bumping to F19 to avoid auto-close. Ben, please let us know if you want Stan to file new reports.
Comment 34 Stan King 2013-07-14 23:05:47 EDT
Thank you.  Both methods of installing GNOME worked quite well.

The machine now has an NV46 circuit in it.  Xfce and MATE work pretty well, GNOME has numerous problems and extremetuxracer is a disaster.  There are messages in dmesg and /var/log/messages, if anyone is interested.
Comment 35 Fedora End Of Life 2015-01-09 16:56:55 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 36 Fedora End Of Life 2015-02-18 08:42:19 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.